Funkar inte verktygen för android-sdk på ditt Linux system?

Det kan självklart vara många orsaker. Men det som drabbade mig var ett väldigt löjligt fel som jag inte bara hade tänkt på. Jag hade satt upp utvecklingsmiljön som alltid – nästan. Nu använde jag inte det som fanns på pakethanterarens repo. Vilket ledde till att jag missade en smärre detalj.

Jag kör 64-bitars system, och jag saknade lib32 kompatibla paket. Det är ju nämligen så att android-sdk finns bara för 32-bitars system, vilket gjorde att platform-tools som tex adb och aapt inte fungerade.

Det var förbluffande fel i eclipse som att R.layout.main inte fanns?! Vilket dom gjorde. Som sagt platform-tools måste fungera, annars blir det konstigt och det är ju inte … huh .. konstigt.

Så tänk på det som en möjlighet till att det inte funkar för er … ni kanske har glömt lib32 om ni kör på ett 64-bitars system.

Kommentera

E-postadressen publiceras inte. Obligatoriska fält är märkta *